ModuleDescriptorParserRegistry
Date: 2014-12-13

org.apache.ivy.plugins.parser

## Class ModuleDescriptorParserRegistry

- java.lang.Object
- - org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser
  - - org.apache.ivy.plugins.parser.ModuleDescriptorParserRegistry

- All Implemented Interfaces:
    ModuleDescriptorParser

      public final class ModuleDescriptorParserRegistry
      extends AbstractModuleDescriptorParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser

      `AbstractModuleDescriptorParser.AbstractParser`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Resource res)`
    `void` | `addParser(ModuleDescriptorParser parser)` Adds a the given parser to this registry.
    `static ModuleDescriptorParserRegistry` | `getInstance()`
    `ModuleDescriptorParser` | `getParser(Resource res)`
    `ModuleDescriptorParser[]` | `getParsers()`
    `ModuleDescriptor` | `parseDescriptor(ParserSettings settings, java.net.URL descriptorURL, Resource res, boolean validate)`
    `void` | `toIvyFile(java.io.InputStream is, Resource res, java.io.File destFile, ModuleDescriptor md)` Convert a module descriptor to an ivy file.

    - ### Methods inherited from class org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser

      `getMetadataArtifact, getType, parseDescriptor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ModuleDescriptorParserRegistry getInstance()

    - #### addParser

          public void addParser(ModuleDescriptorParser parser)

      Adds a the given parser to this registry.
      Parameters:
        `parser` - the parser to add

    - #### getParsers

          public ModuleDescriptorParser[] getParsers()

    - #### getParser

          public ModuleDescriptorParser getParser(Resource res)

    - #### parseDescriptor

          public ModuleDescriptor parseDescriptor(ParserSettings settings,
                                         java.net.URL descriptorURL,
                                         Resource res,
                                         boolean validate)
                                           throws java.text.ParseException,
                                                  java.io.IOException

      Throws:
        `java.text.ParseException`
        `java.io.IOException`

    - #### accept

          public boolean accept(Resource res)

    - #### toIvyFile

          public void toIvyFile(java.io.InputStream is,
                       Resource res,
                       java.io.File destFile,
                       ModuleDescriptor md)
                         throws java.text.ParseException,
                                java.io.IOException

      Description copied from interface: `ModuleDescriptorParser`
      Convert a module descriptor to an ivy file. This method MUST close the given input stream when job is finished
      Parameters:
        `is` - input stream with opened on original module descriptor resource
      Throws:
        `java.text.ParseException`
        `java.io.IOException`